<div class="uploader-wrapper">
  <div (click)="addFiles()" [class.smallDropZone]="files.size" class="drop-zone" matRipple>
    <p>Click or drop files here</p>
  </div>

  <div class="files-viewport" *ngIf="files.size">
    <mat-list>
      <div mat-subheader>Files</div>

      <mat-list-item *ngFor="let fileInput of files">
        <img [alt]="fileInput.file.name + fileInput.fileUrl" [src]="fileInput.fileUrl" mat-list-avatar matPrefix>
        <div mat-line>{{fileInput.file.name}}</div>
        <p mat-line>{{fileInput.file.size | fileSize}}</p>

        <button color="warn" (click)="removeOne(fileInput)" mat-icon-button>
          <mat-icon matSuffix>close</mat-icon>
        </button>
        <button (click)="uploadOne(fileInput)" mat-icon-button>
          <mat-icon matSuffix>upload</mat-icon>
        </button>
      </mat-list-item>
    </mat-list>

    <button mat-raised-button (click)="uploadAll()">
      <span>Upload all</span>
      <mat-icon class="ml-1">cloud_upload</mat-icon>
    </button>
  </div>

</div>

<input
  #fileInput
  (change)="onFilesAdded()"
  [accept]="mimeType.join(',')"
  class="d-none"
  multiple
  type="file"
/>
